# PHPUnitResultFormatter

Implements \PHPUnit_Framework_TestListener

This abstract class describes classes that format the results of a PHPUnit testrun.

author | Michiel Rook mrook@php.net
version | $Id: e6377299d86c4e8c4e4eb5875b346d44baf9fe25 $
package | phing.tasks.ext.phpunit.formatter
since | 2.1.0

### Methods

## Constructor

    __construct(\PHPUnitTask $parentTask)

### Arguments

#### $parentTask

`\PHPUnitTask`

Calling Task

## addError

    addError(\PHPUnit_Framework_Test $test, \Exception $e, float $time)

### Arguments

#### $test

`\PHPUnit_Framework_Test`

#### $e

`\Exception`

#### $time

`float`

## addFailure

    addFailure(\PHPUnit_Framework_Test $test, \PHPUnit_Framework_AssertionFailedError $e, float $time)

### Arguments

#### $test

`\PHPUnit_Framework_Test`

#### $e

`\PHPUnit_Framework_AssertionFailedError`

#### $time

`float`

## addIncompleteTest

    addIncompleteTest(\PHPUnit_Framework_Test $test, \Exception $e, float $time)

### Arguments

#### $test

`\PHPUnit_Framework_Test`

#### $e

`\Exception`

#### $time

`float`

## addRiskyTest

    addRiskyTest(\PHPUnit_Framework_Test $test, \Exception $e, float $time)

### Arguments

#### $test

`\PHPUnit_Framework_Test`

#### $e

`\Exception`

#### $time

`float`

## addSkippedTest

    addSkippedTest(\PHPUnit_Framework_Test $test, \Exception $e, float $time)

### Arguments

#### $test

`\PHPUnit_Framework_Test`

#### $e

`\Exception`

#### $time

`float`

## endTest

    endTest(\PHPUnit_Framework_Test $test, float $time)

### Arguments

#### $test

`\PHPUnit_Framework_Test`

#### $time

`float`

## endTestRun

    endTestRun()

## endTestSuite

    endTestSuite(\PHPUnit_Framework_TestSuite $suite)

### Arguments

#### $suite

`\PHPUnit_Framework_TestSuite`

## getElapsedTime

    getElapsedTime() : float|integer

### Response

`float|integer`

## getErrorCount

    getErrorCount() : mixed

### Response

`mixed`

## Returns the extension used for this formatter

    getExtension() : string

### Response

`string`

the extension

## getFailureCount

    getFailureCount() : mixed

### Response

`mixed`

## getIncompleteCount

    getIncompleteCount() : mixed

### Response

`mixed`

## getMicrotime

    getMicrotime() : float

### Response

`float`

## getPreferredOutfile

    getPreferredOutfile() : string

### Response

`string`

## getRunCount

    getRunCount() : mixed

### Response

`mixed`

## getSkippedCount

    getSkippedCount() : mixed

### Response

`mixed`

## processResult

    processResult(\PHPUnit_Framework_TestResult $result)

### Arguments

#### $result

`\PHPUnit_Framework_TestResult`

## Sets the writer the formatter is supposed to write its results to.

    setOutput(\Writer $out)

### Arguments

#### $out

`\Writer`

## startTest

    startTest(\PHPUnit_Framework_Test $test)

### Arguments

#### $test

`\PHPUnit_Framework_Test`

## startTestRun

    startTestRun()

## startTestSuite

    startTestSuite(\PHPUnit_Framework_TestSuite $suite)

### Arguments

#### $suite

`\PHPUnit_Framework_TestSuite`

### Properties

## out

    out :

### Type(s)

``

## project

    project :

### Type(s)

``

## timers

    timers : boolean|array

var |

### Type(s)

`boolean|array`

## runCounts

    runCounts : boolean|array

var |

### Type(s)

`boolean|array`

## failureCounts

    failureCounts : boolean|array

var |

### Type(s)

`boolean|array`

## errorCounts

    errorCounts : boolean|array

var |

### Type(s)

`boolean|array`

## incompleteCounts

    incompleteCounts : boolean|array

var |

### Type(s)

`boolean|array`

## skipCounts

    skipCounts : boolean|array

var |

### Type(s)

`boolean|array`